package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.pages.LoginPMEPage;
import com.javaseleniumtemplate.pages.LoginPage;
import com.javaseleniumtemplate.pages.MainPage;
import com.javaseleniumtemplate.utils.DriverFactory;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.interactions.Actions;
import org.testng.annotations.Test;

public class LoginPMETest extends TestBase {

    LoginPMEPage loginPagepme;
    MainPage mainPage;

    //Tests
    @Test

    public void efetuarLoginPME(){
        //Objects Instances
        loginPagepme = new LoginPMEPage();
        mainPage = new MainPage();


        //Parameters
        String usuariopme = "francielly.automacao";
        String senhapme = "Teknisa2022";

        // Test
        loginPagepme.preencherUsuario(usuariopme);
        loginPagepme.preencherSenha(senhapme);
        loginPagepme.clicarnologin();

    }
}
